Crash

Answered

Comments

3 comments

  • Avatar
    Tania Taylor

    Hi George Fisher!

    I'm sorry to say that Luminar 3 is our legacy app, which is no longer supported, so it may be not compatible with the new OS. However, please get in touch with our support team via https://skylum.com/support, and we'll gladly provide you with a Luminar 4 license and give you some further instructions.

     

    0
    Comment actions Permalink
  • Avatar
    George Fisher

    Thank you for your responses. I have been most impressed by Skylum. They have responded quickly (within a couple of hours of my emails/posts and have come up with suggestions to remedy Luminar 3 as well as generously offering me Luminar 4 free. I now have the latter and am very happy with it and delighted with Skylum, Well done all at Skylum. You have my recommendation!!!

    George, 

    1
    Comment actions Permalink
  • Avatar
    Lenny Verkhovsky

    Great to hear, George.
    I am taking my words regarding Skylum back :).

    0
    Comment actions Permalink

Please sign in to leave a comment.